Fluentd v0.14.17 has been released

Hi users!

We have released v0.14.17. Here are the changes (full ChangeLog is available here): This release is mainly for bug fixes.

We say again, fluentd v0.14 is still development version. We need your feedback! If you try v0.14, check your configuration and plugins carefully.

server: Accept private key for TLS server without passphrase

The private_key_passphrase and ca_private_key_passphrase for TLS setting are now optional. It means you can use private key without passphrase in server plugin helper based plugins, e.g. in_forward/out_forward.

Major bug fixes

  • out_forward: Fix ack handling
  • config: Mask all secret parameters in worker section

This version fixed out_forward's require_ack_response regressions. If you use require_ack_response with v0.14, we recommend to update fluentd v0.14 to v0.14.17.

Enjoy logging!

Subscribed to the RSS feed here.

Written by Masahiro Nakagawa

Masahiro (@repeatedly) is the main maintainer of Fluentd. He works on Fluentd development and support full-time. He is also a committer of the D programming language.


comments powered by Disqus

About Fluentd

Fluentd is an open source data collector to unify log management.

Learn

Want to learn the basics of Fluentd? Check out these pages.

Follow Us!